<?php

namespace Hwapx\Core\Library;

use Image as F3Image;

class Image extends F3Image {
  public function create($width, $height) {
    if($this->data)
      imagedestroy($this->data);

    $this->data = imagecreatetruecolor($width, $height);
    imagesavealpha($this->data, true);
    imagefill($this->data,0,0,IMG_COLOR_TRANSPARENT);

    return $this;
  }
/*
  public function fill($width, $height) {

  }

  public function fit($width, $height) {

  }

  public function scale($width, $height) {

  }

  public function crop($width, $height) {

  }

  public function pad($width, $height) {

  }*/
}